AOZ Studio Beta - Bug #733

Actor command can't find images in subfolders of AOZ Drive. (This used to work.)
04/23/2021 08:48 AM - Brian Flanagan

Status: Feedback Start date: 04/23/2021
Priority: High Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 4:00 hours
Target version:

Affected version: 1.0.0 (B8)

Description

Example:

Actor "beam", image$="beam.png" // This USED TO work, but now fails with Image Not Defined error.

The actual path for the above file is:
AOZ Drive/resources/images/Asteroids/Magic/beam.png

Actor will only find image files in the root of the images folder:
AOZ Drive/resources/images

History

#1 - 04/23/2021 08:53 AM - Brian Flanagan
- Priority changed from Normal to High

#2 - 04/23/2021 09:23 AM - Brian Flanagan

- Assignee set to Baptiste Bideaux

#3 - 04/30/2021 10:13 AM - Baptiste Bideaux

- Status changed from New to Resolved

It's solved. The Transpiler goes through all the files in AOZ Drive and takes into account the first file found in the list.

#4 - 06/04/2021 07:52 AM - Brian Flanagan

- Affected version changed from 1.0.0 (B7) to 1.0.0 (B8)
Re-tested in 1.0.0 (B8) macOS

The problem is worse than before.

Now it won't find ANY files on the AOZ Drive!

For example:

Actor "magician",Image$="magic.png"
...causes the transpiler to crash.

...Compiler error: crash during compilation: Pass: 2, crash at line 0, column 35! The "path" argument must be
of type string. Received type undefined...

#5 - 06/04/2021 07:52 AM - Brian Flanagan

- Status changed from Resolved to Feedback

#6 - 06/04/2021 08:14 AM - Brian Flanagan

NOTE: This appears to work fine in Windows, but fails in macOS.
